#!/usr/bin/perl -w

#######################################################
#
# Family Tree generation program, v2.0
# Written by Ferenc Bodon and Simon Ward, March 2000 (simonward.com)
# Copyright (C) 2000 Ferenc Bodon, Simon K Ward
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# For a copy of the GNU General Public License, visit 
# http://www.gnu.org or write to the Free Software Foundation, Inc.,
# 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
#
#######################################################

use strict;
use warnings;

package PerlSettingsImporter;

sub importSettings {
  return {
    default_language => "gb", #other options: de,fr,hu,pl,gb
    adminName        => "Ferenc Bodon",
    adminEmail       => "bodon\@cs.bme.hu",
    adminHomepage    => "http://www.cs.bme.hu/~bodon",
    data_source      => "../tree.xls",
#    data_source      => "../royal.ged",
    photo_dir        => "../pictures/", # relative to ftree.cgi file   
    photo_url        => "../pictures/", # set this according to webserver's settings
    date_format      => "%d/%m/%Y",     # %d, %m, %Y denotes day, month, year respectively
#    date_format      => "%Y-%m-%d",
    
    # this will be substituted by style sheets
    undef_color      => "#ffffff",
    man_color        => "#a4a4ff",
    woman_color      => "#ffc1e2",
    
    sitemeter_needed => 1,
    sitemeter_id     => "s22bodonangol",
    password         => "",
    passwordPrompt   => "Enter Bart's surname:",
    passwordReq      => "",
  };
}

1;
